Description: install library-files into /usr/lib/pd/extra/pdp
Author: IOhannes m zmölnig
Last-Update: 2013-10-09
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-pdp.orig/Makefile
+++ pd-pdp/Makefile
@@ -65,18 +65,17 @@
 
 
 install: all
-	install -d $(DESTDIR)$(prefix)/lib/pd/extra
-	install -m 755 $(PDP_LIBRARY_NAME) $(DESTDIR)$(prefix)/lib/pd/extra
+	install -d $(DESTDIR)$(prefix)/lib/pd/extra/pdp
+	install -m 755 $(PDP_LIBRARY_NAME) $(DESTDIR)$(prefix)/lib/pd/extra/pdp
 	install -m 755 -d $(DESTDIR)$(prefix)/include/pdp
 	install -m 644 include/*.h $(DESTDIR)$(prefix)/include/pdp
-	install -m 644 abstractions/*.pd $(DESTDIR)$(prefix)/lib/pd/extra
-	install -m 644 doc/objects/*.pd $(DESTDIR)$(prefix)/lib/pd/doc/5.reference
-	install -m 755 -d $(DESTDIR)$(prefix)/lib/pd/doc/pdp
-	install -m 755 -d $(DESTDIR)$(prefix)/lib/pd/doc/pdp/introduction
-	install -m 755 -d $(DESTDIR)$(prefix)/lib/pd/doc/pdp/examples
-	install -m 644 doc/reference.txt $(DESTDIR)$(prefix)/lib/pd/doc/pdp
-	install -m 644 doc/introduction/*.pd $(DESTDIR)$(prefix)/lib/pd/doc/pdp/introduction
-	install -m 644 doc/examples/*.pd $(DESTDIR)$(prefix)/lib/pd/doc/pdp/examples
+	install -m 644 abstractions/*.pd $(DESTDIR)$(prefix)/lib/pd/extra/pdp
+	install -m 644 doc/objects/*.pd $(DESTDIR)$(prefix)/lib/pd/extra/pdp
+	install -m 755 -d $(DESTDIR)$(prefix)/lib/pd/extra/pdp/introduction
+	install -m 755 -d $(DESTDIR)$(prefix)/lib/pd/extra/pdp/examples
+	install -m 644 doc/reference.txt $(DESTDIR)$(prefix)/lib/pd/extra/pdp
+	install -m 644 doc/introduction/*.pd $(DESTDIR)$(prefix)/lib/pd/extra/pdp/introduction
+	install -m 644 doc/examples/*.pd $(DESTDIR)$(prefix)/lib/pd/extra/pdp/examples
 	install -m 755 bin/pdp-config $(DESTDIR)$(prefix)/bin
 
 snapshot:
